// Black Level
BLC_SENSOR_BLACK             8 8 8 8
BLC_SYS_BLACK                64

// Defective Pixel Fixing
DPF_DETECT_ENABLE            1
DPF_THRESHOLD                5
DPF_WEIGHT                   1

// Colour Correction
CCM_MATRIX                   1.76064 -0.640793 -0.119843 -0.417746 1.42609 -0.00834172 0.134475 -1 1.98
CCM_OFFSETS                  -141.738 -119.6 -196

// Display Gammut Mapper
DGM_CLIP_MAX                 1
DGM_CLIP_MIN                 0
DGM_COEFF                    0 0 0 0 0 0
DGM_SLOPE                    1 1 0
DGM_SRC_NORM                 1

// Primary Denoiser
DNS_COMBINE_ENABLE           1
DNS_STRENGTH                 4

// Display Scaler
DSC_ADJUST_CUTOFF_FREQ       0
DSC_BYPASS                   0
DSC_PITCH                    1 1
DSC_RECT                     0 0 0 0
DSC_RECT_TYPE                croprect

// Encoder Scaler
ESC_ADJUST_CUTOFF_FREQ       0
ESC_BYPASS                   0
ESC_CHROMA_MODE              inter
ESC_PITCH                    1 1
ESC_RECT                     0 0 0 0
ESC_RECT_TYPE                croprect

// Gamma Correction
GMA_BYPASS                   0

// Lens Shading and White Balance
LSH_WBCLIP                   1 1 1 1
LSH_WBGAIN                   1.32641 1 1.0034 1.59359

// Main Gammut Mapper
MGM_CLIP_MAX                 1
MGM_CLIP_MIN                 0
MGM_COEFF                    0 0 0 0 0 0
MGM_SLOPE                    1 1 0
MGM_SRC_NORM                 1

// Global Output parameters
OUT_DE                       NONE
OUT_ENC                      NV12
OUT_DISP                     RGB888_32

// RGB to YCC
R2Y_BRIGHTNESS               0
R2Y_CONTRAST                 1
R2Y_HUE                      0
R2Y_MATRIX                   BT709
R2Y_RANGE_MUL                1 1 1
R2Y_SATURATION               1

// Sharpening
SHA_DENOISE_BYPASS           0
SHA_DETAIL                   0.5
SHA_EDGE_OFFSET              0
SHA_EDGE_SCALE               0
SHA_DN_SIGMA_MULTIPLIER      0.5
SHA_DN_TAU_MULTIPLIER        3
SHA_RADIUS                   2
SHA_STRENGTH                 0.5
SHA_THRESH                   0

// Tone Mapper
TNM_BYPASS                   0
TNM_COLOUR_CONFIDENCE        1
TNM_COLOUR_SATURATION        1
TNM_FLAT_FACTOR              0
TNM_FLAT_MIN                 0
TNM_IN_Y                     -64 64
TNM_OUT_Y                    16 235
TNM_WEIGHT_LINE              0
TNM_WEIGHT_LOCAL             0

// YCC to RGB
Y2R_BRIGHTNESS               0
Y2R_CONTRAST                 1
Y2R_HUE                      0
Y2R_MATRIX                   BT709
Y2R_RANGE_MUL                1.1689 1.1429 1.1429
Y2R_SATURATION               1

// Temperature Correction parameters
WB_CORRECTIONS 3

WB_CCM_0 1.76064 -0.640793 -0.119843 -0.417746 1.42609 -0.00834172 0.134475 -1 1.98
WB_CCM_1 1.76064 -0.640793 -0.119843 -0.417746 1.42609 -0.00834172 0.134475 -1 1.98
WB_CCM_2 1.76064 -0.640793 -0.119843 -0.417746 1.42609 -0.00834172 0.134475 -1 1.98

WB_GAINS_0 1.3263 1 1 1.5937
WB_GAINS_1 1.3264 1 1 1.5936
WB_GAINS_2 1.3265 1 1 1.5935

WB_OFFSETS_0 -141.738 -119.6 -196
WB_OFFSETS_1 -141.738 -119.6 -196
WB_OFFSETS_2 -141.738 -119.6 -196

WB_TEMPERATURE_0 2700
WB_TEMPERATURE_1 6500
WB_TEMPERATURE_2 10000

// Auto Exposure parameters
AE_TARGET_GAIN               1.0
AE_TARGET_BRIGHTNESS         0
AE_MAX_GAIN                  10.0
AE_MAX_EXPOSURE              33000
AE_FLICKER_REJECTION         0
AE_FLICKER_AUTODETECT        1
AE_FLICKER_FREQ              50
